Bug 162727 - vconfig claimed success but no change in ifconfig or ip addr list
vconfig claimed success but no change in ifconfig or ip addr list
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: vconfig (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-07 22:09 EDT by Henry Harris
Modified: 2015-03-04 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 10:39:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Typescript (8.69 KB, text/plain)
2005-07-08 10:45 EDT, Lon Hohberger
no flags Details

  None (edit)
Description Henry Harris 2005-07-07 22:09:46 EDT
Description of problem: I successfully created a vlan with vconfig on a valid 
ethernet port.  When I checked ifconfig and ip addr list, I saw no change from 
ifconfig output prior to vconfig.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Run ifconfig
2.Run vconfig on valid eth port
3.Run ifconfig or ip addr list
  
Actual results:
[root@igtest01 ~]# vconfig add eth1 101
Added VLAN with VID == 101 to IF -:eth1:-
[root@igtest01 ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr 00:00:1A:1A:0D:63
          inet addr:10.10.10.126  Bcast:10.10.10.255  Mask:255.255.255.0
          inet6 addr: fe80::200:1aff:fe1a:d63/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:715 errors:0 dropped:0 overruns:0 frame:0
          TX packets:429 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:57165 (55.8 KiB)  TX bytes:34814 (33.9 KiB)
          Interrupt:58

eth1      Link encap:Ethernet  HWaddr 00:00:1A:1A:0D:64
          inet addr:10.250.0.126  Bcast:10.250.255.255  Mask:255.255.0.0
          inet6 addr: fe80::200:1aff:fe1a:d64/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2496 errors:0 dropped:0 overruns:0 frame:0
          TX packets:392 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:336787 (328.8 KiB)  TX bytes:53725 (52.4 KiB)
          Interrupt:66

eth4      Link encap:Ethernet  HWaddr 00:04:23:B2:92:3E
          inet addr:10.251.0.18  Bcast:10.251.0.255  Mask:255.255.255.0
          inet6 addr: fe80::204:23ff:feb2:923e/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:15 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:1038 (1.0 KiB)
          Base address:0x4080 Memory:f1140000-f1160000
[root@igtest01 ~]# ip addr list
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:00:1a:1a:0d:63 brd ff:ff:ff:ff:ff:ff
    inet 10.10.10.126/24 brd 10.10.10.255 scope global eth0
    inet6 fe80::200:1aff:fe1a:d63/64 scope link
       valid_lft forever preferred_lft forever
3: eth1: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:00:1a:1a:0d:64 brd ff:ff:ff:ff:ff:ff
    inet 10.250.0.126/16 brd 10.250.255.255 scope global eth1
    inet6 fe80::200:1aff:fe1a:d64/64 scope link
       valid_lft forever preferred_lft forever
4: eth2: <BROADCAST,MULTICAST> mtu 1500 qdisc noop qlen 1000
    link/ether 00:04:23:b2:92:3c brd ff:ff:ff:ff:ff:ff



Expected results:
Expected to see eth1.101 in ifconfig.

Additional info:
Comment 1 Lon Hohberger 2005-07-08 10:44:54 EDT
This works as I'd expect it to (sort of).

Does it show up in "ifconfig -a" ?

I did:

ip addr list         <-- works, but no eth1.101 as expected
ifconfig -a          <-- still no eth1.101
vconfig add eth1 101 <-- fails, eth1 not up (expected)
ifconfig eth1 10.1.1.1 broadcast 10.1.1.255 netmask 255.255.255.0 up
ip addr list         <-- eth1.101 shows up, but is down
ifconfig -a          <-- eth1.101 is in list, but is not up
ifconfig             <-- eth1 is up, no eth1.101
ifconfig eth1.101 up
ifconfig             <-- eth1.101 is up now (no IP, but at least it's there)

(not in typescript)

ifconfig eth1.101 down
vconfig rem eth1.101

What kernel, vconfig, net-tools, and iproute2 packages do you have?
Comment 2 Lon Hohberger 2005-07-08 10:45:45 EDT
Created attachment 116519 [details]
Typescript
Comment 3 Henry Harris 2005-07-08 11:25:09 EDT
No, it did not show up with ifconfig -a.  Since eth1 was up, I excepted 
eth1.101 to be up also.

I am running:

kernel - 2.6.9-11.Elsmp
vconfig - 1.8-4
net-tools - 1.60-37.EL4.6
iproute2 - not installed -- Is this needed?
Comment 4 Lon Hohberger 2005-07-08 11:58:44 EDT
Sorry, "iproute", not "iproute2"
Comment 6 Lon Hohberger 2005-07-08 12:13:09 EDT
eth1 being up is required to add the device, otherwise it gives you an error:

[root@green ~]# vconfig add eth1 101
ERROR: trying to add VLAN #101 to IF -:eth1:-  error: Invalid argument

However, that doesn't make the new VLAN device come up automatically.  Adding
the VLAN to the device a second time should also produce the above error.
Comment 8 Henry Harris 2005-07-13 18:04:24 EDT
Question for the bug owner -- have you been able to reproduce this bug?  It 
worked for Lon but I still have not seen it work the way Lon did.  Is it the 
version I'm using or I am missing something?  What's the status, please?

BTW, I'm running with iproute-2.6.9-3.
Comment 9 Phil Knirsch 2005-08-15 11:53:54 EDT
Thats really strange.

I've been trying to reproduce the bug just like you and Lon did, but i get the
same results as Lon:

If the interface on which the vlan is set up is down you'll get an error and the
vlan won't be configured.

As soon as the interface is up (as in your initial example) if i set up the vlan
it works nicely without an error message and shows up just like in Lon's examples.

I've tried it with a base RHEL4 U1 system and with current FC4 installations and
both work the same way.

My only guess is that it might be some wierd hardware and/or driver problem, but
i can't see how that could really be the case.

Could you attach a

  /sbin/lspci -v

output to this bugreport?

Thanks,

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.